Ubuntu

X apps are receiving BadAlloc when working over ssh

Reported by Peter Grobarcik on 2008-11-03
44
This bug affects 3 people
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-i810

After an upgrade to 8.10 all remote applications are receiving following error after hitting the keyboard:
pgrobarc@fraurauscher2:~$
> xterm
font missing: KSC5601.1992-3 for Window
font missing: TIS620.2533-0 for Window
font missing: ISO8859-6 for Window
font missing: ISO8859-8 for Window
font missing: SUN.UNICODE.INDIA-0 for Window
xterm: warning, error event received:
X Error of failed request: BadAlloc (insufficient resources for operation)
  Major opcode of failed request: 148 (XKEYBOARD)
  Minor opcode of failed request: 16 (XkbSetNamedIndicator)
  Serial number of failed request: 224
  Current serial number in output stream: 240
##################################################
:~$ lsb_release -rd
Description: Ubuntu 8.10
Release: 8.10
pgrobarc@FRA-N20170:~$
[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 0c)
     Subsystem: Hewlett-Packard Company Device [103c:30be]
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)
     Subsystem: Hewlett-Packard Company Device [103c:30be]

I hit the same bug, but only with remote applications started from some remote host(s). More specifically, I've seen it running xterm from a Solaris10 (sparc) host, but not from a neighboring Solaris9 (sparc) host, nor from a Solaris10 (i386) host nearby. Also, I don't get the "font missing" errors, just this:

bash-2.02$ xterm
input method doesn't support my preedit type (OverTheSpot,Root)
xterm: warning, error event received:
X Error of failed request: BadAlloc (insufficient resources for operation)
  Major opcode of failed request: 151 (XKEYBOARD)
  Minor opcode of failed request: 16 (XkbSetNamedIndicator)
  Serial number of failed request: 129
  Current serial number in output stream: 132

The snippet I posted was from a 'SunOS fraurauscher2 5.10 Generic_127111-06 sun4u sparc SUNW,Sun-Fire-V890'. I thought that this may be a Solaris specific bug, but i am getting simmilair errors when running local applications, here a output from totem:
** (totem:12539): WARNING **: Failed to create dbus proxy for org.gnome.SettingsDaemon: Could not get owner of name 'org.gnome.SettingsDaemon': no such name
** (totem:12539): DEBUG: Init of Python module
** (totem:12539): DEBUG: Registering Python plugin instance: YouTube+TotemPythonPlugin
** (totem:12539): DEBUG: Creating object of type YouTube+TotemPythonPlugin
** (totem:12539): DEBUG: Creating Python plugin instance
** (totem:12539): DEBUG: Init of Python module
** (totem:12539): DEBUG: Registering Python plugin instance: BBCViewer+TotemPythonPlugin
** (totem:12539): DEBUG: Creating object of type BBCViewer+TotemPythonPlugin
** (totem:12539): DEBUG: Creating Python plugin instance
The program 'totem' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 3861 error_code 2 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
pgrobarc@FRA-N20170:~$

I want to take back my last comment, it is a bug in the Qt4/KDE4 theme for GTK.

I found a (probably) related bug: https://bugs.launchpad.net/bugs/202954

Russ W. Knize (rknize) wrote :

My bug (#294729) was duped to this one. It sounds like the same issue, however the following details probably having nothing to do with it:

1) Issue is not related to ssh (was using telnet and X doesn't really care unless you are tunnelling).

2) Issue does not appear to be related to a specific xorg-server, as I am using nvidia-glx.

It's sounding more like a X library issue to me.

Bryce Harrington (bryce) wrote :

Hi coder-peter-grobarcik,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

Changed in xserver-xorg-video-i810:
status: New → Incomplete

Hi Bryce,

i am sending the files you are aking for, can i do something more? Strace debug or so?

In xorg.conf only the second VGA monitor vas added, the (commented out) rest are just tests that did not changet the situation :-(

Xorg.0.log has no trace of the bug, I will try logverbose ...

Still no trace in Xorg.x.log - i tryed logverbose 20 - any idea why?

Hello,

if the remote system is Solaris 10 it needs patch 119759-45 (on SPARC) or 119060-44 (on x86), for Solaris 9 patch 112785-64 (SPARC) or 112786-53 (x86).

I don't know if the error occurs from other systems but at least the Solaris patches work as expected.

Hope this helps,
Marcel

Short addition:

the error also occurred with my radeonhd driver so it's not restricted to xserver-xorg-video-i810.

Regards,
Marcel

Michael Chalvatzis (glykos) wrote :

Hi Marcel,

your suppoed patch number worked well in our Sparc environment. Good hint.

Nevertheless ther is a typo in you patch number ;-)

It is 119059-45 (on SPARC) NOT 119759-45.

Cheers, Michael

The Solaris patches from Marcel did helped, so my problems are currently gone. Thanks!

Changed in xserver-xorg-video-i810:
status: Incomplete → In Progress
jaccebacce (jacob-ideskog) wrote :

Hi, I have the same problem.
I'm connecting to a Solaris 9 environment with X11 over ssh (or telnet, it doesn't matter).
If I run for instance xterm and hit any key I get the following:

xterm: warning, error event received:
X Error of failed request: BadAlloc (insufficient resources for operation)
  Major opcode of failed request: 148 (XKEYBOARD)
  Minor opcode of failed request: 16 (XkbSetNamedIndicator)
  Serial number of failed request: 104
  Current serial number in output stream: 105

I have no way of installing the patch on the Solaris machine since it's a company server.
I'm currently running Ubuntu 8.10 on a Dell Optiplex 755 with Intel graphics.
This problem occured after I did a system upgrade from Ubuntu 8.04 to 8.10.

//Jacob

Hi Jacob,

the problem is definitely located on the Solaris Servers. Reason why it did not occur with 8.04 is the new xorg-server (1.5) in 8.10.

But the xorg-server does not have a problem.

You'll have to ask the Solaris admins to install the mentioned patches. Installation Notes say reboot is needed afterwards but I simply logged out and back in again and it worked as desired.

Sorry but the problem is Solaris, not Ubunt 8.10.

Regards,
Marcel

jaccebacce (jacob-ideskog) wrote :

Hi Marcel,

Ok, I'll talk to the system managers and see what happens.

//Jacob

Hi Jacob,

good luck with your admins ;-)

As Michael mentioned I had a typo: the Sol10-SPARC-Patch is 119059, not 119759.

Regards,
Marcel

jaccebacce (jacob-ideskog) wrote :

Hi,

The Solaris 9 machine I'm using already had that patch installed. (112785-64 (SPARC))
So, no luck there.

/Jacob

Russ W. Knize (rknize) wrote :

It's highly unlikely that our admins are going to put a patch of this size on these machines. They are part of a large build farm and this patch is quite large. Does anyone know the actual bug fixed in this patch that is at the root of this issue? Why does this issue not exist on older versions of Xorg on the local end? What changed and is there a workaround?

Thanks,
Russ

Hi Russ,

as the "bug" is fixed by a Solaris patch you (or your SUN admin) should ask SUN for the needed information.
They should be able to provide the information.

BTW: Patches exist to fix problems of technical or security type. It's not a must for anybody to install them. But not installing patches leaves these problems. Do you install updates to your Linux system? I do so to get a stable system with security updates. Decide for yourself if you need working remote X-apps with your Ubuntu 8.10 (or whatever system with xorg-server-1.5) or not. If so the SUN systems have to be patched!

Regards,
Marcel

Russ W. Knize (rknize) wrote :

Hi Marcel,

Yes, I am familiar with the purpose of patches. :) Believe me, I completely understand where you are coming from. I admin plenty of machines myself and take security seriously.

I have already made my case to them, however it is unlikely they will do anything about it. These machines are part of a large, distributed build server farm at a big company. The setup is frail and thousands of engineers around the world depend on its uptime 24/7. They avoid touching it at all costs and since the machines are only accessible from the internal LAN, they don't get too worked up about security issues. I am a "rogue" at my job because I am probably one out of a dozen or less that don't use Windows+Exceed to do the same work. In other words, they don't care about me and I am on my own.

I've been digging through the tree of Sun patches and bugs fixed by this uber-patch and I am not clear what bug I am dealing with here. All I was asking is if anyone knew what bug I am fighting so that perhaps I could dig-in more and find a workaround like I have done the past (the whole ARGB issue, for example). If they buy the whole security angle and patch the servers, then I guess it is moot. Otherwise I will have to downgrade to hardy.

Thanks,
Russ

In any case, I

Hi Russ,

sometimes it's very difficult for us linux users. In our company I'm nearly the only one coming from a linux system.

If it is unpossible to get the bug-/patch-information from SUN then I suppose you've two alternatives:

1. downgrade to hardy
2. downgrade only xorg-parts to 1.3 or 1.4-version

As the second part (I saw some howto's around the web for doing this) results in an somehow mixed system state nobody really wants I'd prefer downgrade to hardy. Many apps are backported to hardy and most admins like us don't need more than is provided. Not to forget hardy is LTS and so supported for the next years.

This way you have to think about these xorg-1.5-problems first after hardy support has gone.

Have a nice day and fun with ubuntu - regardless of which version.

Regards,
Marcel

jaccebacce (jacob-ideskog) wrote :

Hi again,

I'm not sure the patches solve the problem. I had my admin install them on the server I'm using (Solaris 9). He then found that the patches where already installed. So there's got to be another cause to this problem.

/Jacob

I have the same results here. I have three revisions of Solaris that I am logging into, 8, 9, and 10. Solaris 8 will display back to a remote X server with no errors. Solaris 10 and 9 had the same error:

Gdk-ERROR **: The program 'gnome-terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 230 error_code 11 request_code 136 minor_code 16)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...

Gdk-ERROR **: The program 'gnome_segv' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 349 error_code 11 request_code 136 minor_code 16)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...

After installing the patch on Solaris 10 (119059-45), but Solaris 9 still gets the same error even after the patch (112785-64) is applied.

Wayne

Russ W. Knize (rknize) wrote :

As expected, upgrading the Solaris machines were not an option for me. This is too much of a show-stopper for me. This along with the highly-irritating session management issue (<a href="https://bugs.launchpad.net/ubuntu/+source/gnome-session/+bug/249373">249373</a>) has forced me to <a href="http://www.knizefamily.net/russ/software/linux/downgrade-from-irritating-ibex/">downgrade back to Hardy</a>.

Timo Aaltonen (tjaalton) wrote :

looks more like a Solaris bug but keeping open so people will find this.

Changed in xorg:
importance: Undecided → Low
Bryce Harrington (bryce) on 2009-01-17
description: updated
Wim (wim-de-geeter) wrote :

Hi,
We have the same issue here.
Anyone already with more information or is downgrade the only solution?????
Thanks

Russ W. Knize (rknize) wrote :

I never found a solution. Been running hardy.

darkstar (udo-grabowski) wrote :

Solution for unpatched servers:
This should be set on the (unpatched) Solaris machine, then it should work:

setenv GTK_IM_MODULE gtk-im-context-simple (csh,tcsh)
or
export GTK_IM_MODULE=gtk-im-context-simple (sh,ksh,bash)

martin (martin-gaitzsch) wrote :

darkstar, unfortuately your proposal doesn't work for me :(
any other suggestions?

kind regards
martin

X Error of failed request: BadAlloc (insufficient resources for operation)
  Major opcode of failed request: 152 (XKEYBOARD)
  Minor opcode of failed request: 16 (XkbSetNamedIndicator)
  Serial number of failed request: 843
  Current serial number in output stream: 859

Linux xxx 2.6.27-11-generic #1 SMP Wed Jan 28 00:02:01 UTC 2009 i686 GNU/Linux
SunOS yyy 5.9 Generic_118558-21 sun4u sparc SUNW,Sun-Fire-V240

Timo Aaltonen (tjaalton) wrote :

I can't reproduce this on jaunty against up to date solaris 8, 9 or 10, so I'm closing it. If you still can reproduce it _and_ know how to fix it in Ubuntu, feel free to reopen. This bug has been silent for the past five months now, so maybe something has changed since..

Changed in xorg-server (Ubuntu):
status: In Progress → Invalid

I had to go back to ubuntu 8.04 to correct this. My work will not allow me
to update to solaris patches to be compatible.

On Jul 30, 2009 6:20 AM, "Timo Aaltonen" <email address hidden> wrote:

I can't reproduce this on jaunty against up to date solaris 8, 9 or 10,
so I'm closing it. If you still can reproduce it _and_ know how to fix
it in Ubuntu, feel free to reopen. This bug has been silent for the past
five months now, so maybe something has changed since..

** Changed in: xorg-server (Ubuntu)
      Status: In Progress => Invalid

-- X apps are receiving BadAlloc when working over ssh
https://bugs.launchpad.net/bugs/292973 You ...
Status in “xorg-server” package in Ubuntu: Invalid

Bug description: Binary package hint: xserver-xorg-video-i810 After an
upgrade to 8.10 all remote ...

Timo Aaltonen (tjaalton) wrote :

That's unfortunate. Did you try 9.04 if things worked better with it?

tcolden (thadrolfe) wrote :

No I did not try the new 9.04 yet because 8.04 worked so well. My work
server iis using solaris 10 and it seems to be incompatible with 8.10.

Do you believe that this will not be an issue with 9.04?

On Jul 30, 2009 10:40 AM, "Timo Aaltonen" <email address hidden> wrote:

That's unfortunate. Did you try 9.04 if things worked better with it?

-- X apps are receiving BadAlloc when working over ssh
https://bugs.launchpad.net/bugs/292973

You received this bug notification because you are a direct subscriber of a
duplicate bug.

Status in “xorg-server” package in Ubuntu: Invalid Bug description: Binary
package hint: xserver-xo...

After an upgrade to 8.10 all remote applications are receiving following
error after hitting the key...

Timo Aaltonen (tjaalton) wrote :

that was just an idea, should be able to try even with a livecd.

tcolden (thadrolfe) wrote :

I will give it a try.

Thanks

On Jul 30, 2009 2:20 PM, "Timo Aaltonen" <email address hidden> wrote:

that was just an idea, should be able to try even with a livecd.

-- X apps are receiving BadAlloc when working over ssh
https://bugs.launchpad.net/bugs/292973 You ...

Binary package hint: xserver-xorg-video-i810 After an upgrade to 8.10 all
remote applications are r...

Russ W. Knize (rknize) wrote :

I also am still running hardy on my work station because of this issue. The Sun machines in question have not changed as far as I can tell.

I just tried it with jaunty, which is on my laptop. I can't reproduce the issue.

martin (martin-gaitzsch) wrote :

> I just tried it with jaunty, which is on my laptop. I can't reproduce the issue.

same for me...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers